
QGIS Application - Bug report #20176

Area (cartesian) calculations differ between layers of different projections

2018-10-22 09:26 AM - Dan Isaacs

Status: Closed

Priority: High

Assignee:

Category: Projection Support

Affected QGIS version:3.2.2 Regression?: No

Operating System: Windows 7 Easy fix?: No

Pull Request or Patch supplied:No Resolution: wontfix

Crashes QGIS or corrupts data:No Copied to github as #: 27997

Description

Attached is a test project. In one layer 'Lake' is a lake of known area (11Ha) in EPSG:27700. The area is correct according to the UK

Ordnance Survey. In the other layer 'Stands' at EPGS:3857 (also the project CRS) the lake has been copied and pasted in. It's area now

reads 28Ha.

Both these layers were created fresh, the lake was originally copied directly from the Government mapping, so it's area is the correct one.

History

#1 - 2018-10-22 09:33 AM - Nyall Dawson

- Status changed from Open to Feedback

Please test with 3.3

#2 - 2018-10-22 11:18 AM - Dan Isaacs

Just tested it with 3.3.0-Master QGIS code revision 99f3419446 the problem remains.

#3 - 2018-10-22 12:36 PM - Giovanni Manghi

- Status changed from Feedback to Open

#4 - 2018-10-22 06:26 PM - Dan Isaacs

Just to add, in case it's useful, I re-projected the 'Stands' Layer to EPSG:27700 and the area reads correctly again. I've tried changing the project CRS but

this makes no difference. It seems right now that it's just a problem working out areas on EPSG:3857.

#5 - 2018-10-22 07:41 PM - Giovanni Manghi

- Subject changed from Area calculations differ between layers of different projections to Area (cartesian) calculations differ between layers of different 

projections

- Priority changed from Normal to High

Dan Isaacs wrote:

Just to add, in case it's useful, I re-projected the 'Stands' Layer to EPSG:27700 and the area reads correctly again. I've tried changing the project

CRS but this makes no difference. It seems right now that it's just a problem working out areas on EPSG:3857.
and it seems that the wrong value shows only for the cartesian area, not the ellipsoidal.

#6 - 2018-10-23 02:20 AM - Nyall Dawson

- Status changed from Open to Closed

- Resolution set to wontfix

This is totally expected behavior -- if you measure area or length using the Cartesian method, then it's using the layer's original CRS. And in this case EPSG

3857 is completely unsuitable for length and area measurements.

You should either be using the ellipsoid based calculations (after selecting a suitable ellipsoid from project properties), or reprojecting into a suitable local

CRS. (What is suitable is up to the user to decide!)

#7 - 2018-10-23 09:25 AM - Dan Isaacs

Nyall Dawson wrote:

This is totally expected behavior -- if you measure area or length using the Cartesian method, then it's using the layer's original CRS. And in this

case EPSG 3857 is completely unsuitable for length and area measurements.

You should either be using the ellipsoid based calculations (after selecting a suitable ellipsoid from project properties), or reprojecting into a suitable

local CRS. (What is suitable is up to the user to decide!)

That's certainly what I thought I was doing and still not getting the results I was expecting. The project CRS is EPSG:3857, the layer CRS is also 3857, the

ellipsoid for measurement is WGS84 (which is surely the correct ellipsoid for 3857?) so I would expect the area measurement to take account of that

selection, is that not correct.
